Description

Hi,

I have had a discussion with Ohad in IRC yesterday regarding this. He thinks that this is a bug. When deploying a Solaris Sparc host

and looking at the foreman log there is nothing displayed that the boot file is downloaded from the install media. Booting a Solaris

Sparc host shows Error TFTP Error: File not found. I ran tcpdump on my tftp server and the client requests a file that is not there:

root@puppet:~# tcpdump -i eth1 port 69

tcpdump: verbose output suppressed, use -v or -vv for full protocol decode

listening on eth1, link-type EN10MB (Ethernet), capture size 96 bytes

09:10:03.921601 IP rose12.a.space.corp.56721 > puppet.a.space.corp.tftp:  36 RRQ "Solaris-5.8--SUN

4U-inetboot" octet

Regards,

Oliver

Associated revisions

Revision c4a55db9 - 09/28/2011 03:39 AM - Ohad Levy

fixes #1177 - Ensure that Solaris DHCP vendor options creation on Windows DHCP works correctly.

History

#1 - 09/22/2011 03:22 AM - Ohad Levy

- Assignee set to Paul Kelly

Paul, I tried to have a look, but could not figure it out, if you have time.. please :)

#2 - 09/28/2011 03:40 AM - Ohad Levy

- Category set to DHCP

- Assignee changed from Paul Kelly to Ohad Levy

- Target version set to 0.3

#3 - 09/28/2011 05:42 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset c4a55db904c004afa1100f7134e54c33c1b7f199.
